Package: grails.spring

## [Java] Class WebBeanBuilder

- grails.spring.WebBeanBuilder

- Extended version of the BeanBuilder class that provides support for constructing WebApplicationContext instances

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WebBeanBuilder ()`
    `WebBeanBuilder (java.lang.ClassLoader classLoader)`
    `WebBeanBuilder (org.springframework.context.ApplicationContext parent)`
    `WebBeanBuilder (org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected RuntimeSpringConfiguration` | `createRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanBuilder` | `addToDeferred, bean, bean, beans, createApplicationContext, createDynamicElementReader, createRuntimeSpringConfiguration, filterGStringReferences, finalizeDeferredProperties, getBeanDefinition, getBeanDefinitions, getLog, getParentCtx, getProperty, getSpringConfig, importBeans, importBeans, initializeBeanBuilderForClassLoader, initializeSpringConfig, invokeBeanDefiningClosure, invokeBeanDefiningMethod, invokeMethod, loadBeans, loadBeans, loadBeans, manageListIfNecessary, manageMapIfNecessary, registerBeans, registerBeans, resolveConstructorArguments, setBinding, setClassLoader, setNamespaceHandlerResolver, setProperty, setPropertyOnBeanConfig, setResourcePatternResolver, setSpringConfig, subarray, xmlns`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public WebBeanBuilder()

    - #### public WebBeanBuilder(java.lang.ClassLoader classLoader)

    - #### public WebBeanBuilder(org.springframework.context.ApplicationContext parent)

    - #### public WebBeanBuilder(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### @java.lang.Override protected RuntimeSpringConfiguration createRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)